<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer Good Plugins 1.0 Plugins Reference Manual: equalizer-10bands</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer Good Plugins 1.0 Plugins Reference Manual">
<link rel="up" href="ch01.html" title="gst-plugins-good Elements">
<link rel="prev" href="gst-plugins-good-plugins-edgetv.html" title="edgetv">
<link rel="next" href="gst-plugins-good-plugins-equalizer-3bands.html" title="equalizer-3bands">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description"> <span class="dim">|</span> 
                  <a href="#gst-plugins-good-plugins-equalizer-10bands.description" class="shortcut">Description</a></span><span id="nav_hierarchy"> <span class="dim">|</span> 
                  <a href="#gst-plugins-good-plugins-equalizer-10bands.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces"> <span class="dim">|</span> 
                  <a href="#gst-plugins-good-plugins-equalizer-10bands.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties"> <span class="dim">|</span> 
                  <a href="#gst-plugins-good-plugins-equalizer-10bands.properties" class="shortcut">Properties</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="ch01.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="gst-plugins-good-plugins-edgetv.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="gst-plugins-good-plugins-equalizer-3bands.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-plugins-good-plugins-equalizer-10bands"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="gst-plugins-good-plugins-equalizer-10bands.top_of_page"></a>equalizer-10bands</span></h2>
<p>equalizer-10bands — Direct Form 10 band IIR equalizer</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-equalizer-10bands.properties"></a><h2>Properties</h2>
<div class="informaltable"><table border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-equalizer-10bands.html#GstIirEqualizer10Bands--band0" title="The “band0” property">band0</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-equalizer-10bands.html#GstIirEqualizer10Bands--band1" title="The “band1” property">band1</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-equalizer-10bands.html#GstIirEqualizer10Bands--band2" title="The “band2” property">band2</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-equalizer-10bands.html#GstIirEqualizer10Bands--band3" title="The “band3” property">band3</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-equalizer-10bands.html#GstIirEqualizer10Bands--band4" title="The “band4” property">band4</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-equalizer-10bands.html#GstIirEqualizer10Bands--band5" title="The “band5” property">band5</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-equalizer-10bands.html#GstIirEqualizer10Bands--band6" title="The “band6” property">band6</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-equalizer-10bands.html#GstIirEqualizer10Bands--band7" title="The “band7” property">band7</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-equalizer-10bands.html#GstIirEqualizer10Bands--band8" title="The “band8” property">band8</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-equalizer-10bands.html#GstIirEqualizer10Bands--band9" title="The “band9” property">band9</a></td>
<td class="property_flags">Read / Write</td>
</tr>
</tbody>
</table></div>
</div>
<a name="GstIirEqualizer10Bands"></a><div class="refsect1">
<a name="gst-plugins-good-plugins-equalizer-10bands.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword">struct</td>
<td class="function_name"><a class="link" href="gst-plugins-good-plugins-equalizer-10bands.html#GstIirEqualizer10Bands-struct" title="struct GstIirEqualizer10Bands">GstIirEqualizer10Bands</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-equalizer-10bands.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject">GObject</a>
    <span class="lineart">╰──</span> <a href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstObject.html">GstObject</a>
            <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstElement.html">GstElement</a>
                <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer-libs/html/GstBaseTransform.html">GstBaseTransform</a>
                    <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gst-plugins-base-libs/html/gst-plugins-base-libs-gstaudiofilter.html#GstAudioFilter">GstAudioFilter</a>
                        <span class="lineart">╰──</span> <a class="link" href="GstIirEqualizer.html" title="GstIirEqualizer">GstIirEqualizer</a>
                            <span class="lineart">╰──</span> GstIirEqualizer10Bands
</pre>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-equalizer-10bands.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GstIirEqualizer10Bands implements
 <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstChildProxy.html">GstChildProxy</a> and  <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstPreset.html">GstPreset</a>.</p>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-equalizer-10bands.description"></a><h2>Description</h2>
<p>The 10 band equalizer element allows to change the gain of 10 equally distributed
frequency bands between 30 Hz and 15 kHz.</p>
<div class="refsect2">
<a name="id-1.2.49.8.3"></a><h3>Example launch line</h3>
<div class="informalexample">
  <table class="listing_frame" border="0" cellpadding="0" cellspacing="0">
    <tbody>
      <tr>
        <td class="listing_lines" align="right"><pre>1</pre></td>
        <td class="listing_code"><pre class="programlisting">gst<span class="gtkdoc opt">-</span>launch<span class="gtkdoc opt">-</span><span class="number">1.0</span> filesrc location<span class="gtkdoc opt">=</span>song<span class="gtkdoc opt">.</span>ogg <span class="gtkdoc opt">!</span> oggdemux <span class="gtkdoc opt">!</span> vorbisdec <span class="gtkdoc opt">!</span> audioconvert <span class="gtkdoc opt">!</span> equalizer<span class="gtkdoc opt">-</span><span class="number">10</span>bands band2<span class="gtkdoc opt">=</span><span class="number">3.0</span> <span class="gtkdoc opt">!</span> alsasink</pre></td>
      </tr>
    </tbody>
  </table>
</div>
 This raises the volume of the 3rd band which is at 119 Hz by 3 db.
</div>
<div class="refsynopsisdiv">
<h2>Synopsis</h2>
<div class="refsect2">
<a name="id-1.2.49.8.4.1"></a><h3>Element Information</h3>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">plugin</span></p></td>
<td>
            <a class="link" href="gst-plugins-good-plugins-plugin-equalizer.html#plugin-equalizer">equalizer</a>
          </td>
</tr>
<tr>
<td><p><span class="term">author</span></p></td>
<td>Stefan Kost &lt;ensonic@users.sf.net&gt;</td>
</tr>
<tr>
<td><p><span class="term">class</span></p></td>
<td>Filter/Effect/Audio</td>
</tr>
</tbody>
</table></div>
</div>
<hr>
<div class="refsect2">
<a name="id-1.2.49.8.4.2"></a><h3>Element Pads</h3>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">name</span></p></td>
<td>sink</td>
</tr>
<tr>
<td><p><span class="term">direction</span></p></td>
<td>sink</td>
</tr>
<tr>
<td><p><span class="term">presence</span></p></td>
<td>always</td>
</tr>
<tr>
<td><p><span class="term">details</span></p></td>
<td>audio/x-raw, format=(string){ S16LE, F32LE, F64LE }, rate=(int)[ 1000, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string)interleaved</td>
</tr>
</tbody>
</table></div>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">name</span></p></td>
<td>src</td>
</tr>
<tr>
<td><p><span class="term">direction</span></p></td>
<td>source</td>
</tr>
<tr>
<td><p><span class="term">presence</span></p></td>
<td>always</td>
</tr>
<tr>
<td><p><span class="term">details</span></p></td>
<td>audio/x-raw, format=(string){ S16LE, F32LE, F64LE }, rate=(int)[ 1000, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string)interleaved</td>
</tr>
</tbody>
</table></div>
</div>
</div>
<p>
</p>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-equalizer-10bands.functions_details"></a><h2>Functions</h2>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-equalizer-10bands.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GstIirEqualizer10Bands-struct"></a><h3>struct GstIirEqualizer10Bands</h3>
<pre class="programlisting">struct GstIirEqualizer10Bands;</pre>
<p>
</p>
</div>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-equalizer-10bands.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GstIirEqualizer10Bands--band0"></a><h3>The <code class="literal">“band0”</code> property</h3>
<pre class="programlisting">  “band0”                    <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
<p>gain for the frequency band 29 Hz, ranging from -24 dB to +12 dB.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [-24,12]</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstIirEqualizer10Bands--band1"></a><h3>The <code class="literal">“band1”</code> property</h3>
<pre class="programlisting">  “band1”                    <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
<p>gain for the frequency band 59 Hz, ranging from -24 dB to +12 dB.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [-24,12]</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstIirEqualizer10Bands--band2"></a><h3>The <code class="literal">“band2”</code> property</h3>
<pre class="programlisting">  “band2”                    <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
<p>gain for the frequency band 119 Hz, ranging from -24 dB to +12 dB.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [-24,12]</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstIirEqualizer10Bands--band3"></a><h3>The <code class="literal">“band3”</code> property</h3>
<pre class="programlisting">  “band3”                    <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
<p>gain for the frequency band 237 Hz, ranging from -24 dB to +12 dB.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [-24,12]</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstIirEqualizer10Bands--band4"></a><h3>The <code class="literal">“band4”</code> property</h3>
<pre class="programlisting">  “band4”                    <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
<p>gain for the frequency band 474 Hz, ranging from -24 dB to +12 dB.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [-24,12]</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstIirEqualizer10Bands--band5"></a><h3>The <code class="literal">“band5”</code> property</h3>
<pre class="programlisting">  “band5”                    <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
<p>gain for the frequency band 947 Hz, ranging from -24 dB to +12 dB.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [-24,12]</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstIirEqualizer10Bands--band6"></a><h3>The <code class="literal">“band6”</code> property</h3>
<pre class="programlisting">  “band6”                    <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
<p>gain for the frequency band 1889 Hz, ranging from -24 dB to +12 dB.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [-24,12]</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstIirEqualizer10Bands--band7"></a><h3>The <code class="literal">“band7”</code> property</h3>
<pre class="programlisting">  “band7”                    <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
<p>gain for the frequency band 3770 Hz, ranging from -24 dB to +12 dB.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [-24,12]</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstIirEqualizer10Bands--band8"></a><h3>The <code class="literal">“band8”</code> property</h3>
<pre class="programlisting">  “band8”                    <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
<p>gain for the frequency band 7523 Hz, ranging from -24 dB to +12 dB.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [-24,12]</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstIirEqualizer10Bands--band9"></a><h3>The <code class="literal">“band9”</code> property</h3>
<pre class="programlisting">  “band9”                    <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
<p>gain for the frequency band 15011 Hz, ranging from -24 dB to +12 dB.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [-24,12]</p>
<p>Default value: 0</p>
</div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>